Loading...
Searching...
No Matches
caf::detail::tl_zip< ListA, ListB, Fun > Struct Template Reference

Zips two lists of equal size. More...

`#include <type_list.hpp>`

## Public Types

using | type

## Static Public Attributes

static constexpr size_t | sizea = tl_size<ListA>::value
static constexpr size_t | sizeb = tl_size<ListB>::value
static constexpr size_t | result_size = (sizea < sizeb) ? sizea : sizeb

## Detailed Description

template<class ListA, class ListB, template< class, class > class Fun>
struct caf::detail::tl_zip< ListA, ListB, Fun >

Zips two lists of equal size.

Creates a list formed from the two lists ListA and ListB, e.g., tl_zip<type_list<int, double>, type_list<float, string>>::type is type_list<type_pair<int, float>, type_pair<double, string>>.

## Member Typedef Documentation

## type

template<class ListA, class ListB, template< class, class > class Fun>

using caf::detail::tl_zip< ListA, ListB, Fun >::type

Initial value:
typename tl_zip_impl<
tl_slice_t<ListA, 0, result_size>,
tl_slice_t<ListB, 0, result_size>,
Fun
>::type

The documentation for this struct was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/detail/type_list.hpp